Skip to main content

Application Certificate Authority Actions

https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Below are the various requests that can be performed against the Application Certificate Authority resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an application certificate authority

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationCertificateAuthority.*, or applicationCertificateAuthority.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_AUTHORITY_IDID associated with the application certificate authority575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Successful Responses​

CodeTypeDescription
200SuccessIf application certificate authority was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate authority was not found

Get​

Retrieves information on an application certificate authority

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationCertificateAuthority.*, or applicationCertificateAuthority.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_AUTHORITY_IDID associated with the application certificate authority575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Successful Responses​

CodeTypeDescription
200Application Certificate AuthorityApplication certificate authority information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate authority was not found

Patch​

Updates information about an application certificate authority

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationCertificateAuthority.*, or applicationCertificateAuthority.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_AUTHORITY_IDID associated with the application certificate authority575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Application Certificate Authority Patch schema. For example, the following would be a valid body for this request:

{
"status": "active",
"description": "An example updated authority description"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"status":"active","description":"An example updated authority description"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/certificate-authorities/APPLICATION_CERTIFICATE_AUTHORITY_ID

Successful Responses​

CodeTypeDescription
200Application Certificate AuthorityUpdated application certificate authority information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate authority was not found

Schemas​

Application Certificate Authority​

Schema for a single Application Certificate Authority

Application Certificate Authority Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 10 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys

                      Application Certificate Authority Example​

                      • ▶
                        {} 10 keys
                        • "5cd02a7bdf66feb0994c7197"
                        • "5cd02a7bdf66feb0994c7197"
                        • "575ec8687ae143cd83dc4a97"
                        • "2016-06-13T04:00:00.000Z"
                        • "2016-06-13T04:00:00.000Z"
                        • "active"
                        • "my certificate authority"
                        • "An example certificate authority description"
                        • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"
                        • ▶
                          [] 1 item

                        Application Certificate Authority Patch​

                        Schema for the body of an Application Certificate Authority modification request

                        Application Certificate Authority Patch Schema​

                        • ▶
                          {} 4 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 4 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 3 keys
                                  • false

                                Application Certificate Authority Patch Example​

                                • ▶
                                  {} 2 keys
                                  • "active"
                                  • "An example updated authority description"

                                Error​

                                Schema for errors returned by the API

                                Error Schema​

                                • ▶
                                  {} 3 keys
                                  • "http://json-schema.org/draft-07/schema#"
                                  • "object"
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key

                                    Error Example​

                                    • ▶
                                      {} 2 keys
                                      • "NotFound"
                                      • "Application was not found"

                                    Success​

                                    Schema for reporting a successful operation

                                    Success Schema​

                                    • ▶
                                      {} 3 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 2 keys

                                      Success Example​

                                      • ▶
                                        {} 1 key
                                        • true

                                      Was this page helpful?


                                      Still looking for help? You can also search the WEGnology Forums or submit your question there.